Bug 1416120 - [abrt] xarchiver: strlen(): xarchiver killed by SIGSEGV
Summary: [abrt] xarchiver: strlen(): xarchiver killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: xarchiver
Version: 25
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michael DePaulo
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:ffc701e10838137c1ec1f1dcfd3...
: 1422506 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-24 16:03 UTC by Dino Conti
Modified: 2017-12-12 10:46 UTC (History)
5 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-12 10:46:42 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (27.79 KB, text/plain)
2017-01-24 16:03 UTC, Dino Conti
no flags Details
File: cgroup (259 bytes, text/plain)
2017-01-24 16:03 UTC, Dino Conti
no flags Details
File: core_backtrace (8.48 KB, text/plain)
2017-01-24 16:03 UTC, Dino Conti
no flags Details
File: dso_list (9.16 KB, text/plain)
2017-01-24 16:03 UTC, Dino Conti
no flags Details
File: environ (525 bytes, text/plain)
2017-01-24 16:03 UTC, Dino Conti
no flags Details
File: exploitable (82 bytes, text/plain)
2017-01-24 16:03 UTC, Dino Conti
no flags Details
File: limits (1.29 KB, text/plain)
2017-01-24 16:03 UTC, Dino Conti
no flags Details
File: maps (44.91 KB, text/plain)
2017-01-24 16:04 UTC, Dino Conti
no flags Details
File: mountinfo (3.64 KB, text/plain)
2017-01-24 16:04 UTC, Dino Conti
no flags Details
File: namespaces (102 bytes, text/plain)
2017-01-24 16:04 UTC, Dino Conti
no flags Details
File: open_fds (1.11 KB, text/plain)
2017-01-24 16:04 UTC, Dino Conti
no flags Details
File: proc_pid_status (1.11 KB, text/plain)
2017-01-24 16:04 UTC, Dino Conti
no flags Details
File: var_log_messages (309 bytes, text/plain)
2017-01-24 16:04 UTC, Dino Conti
no flags Details

Description Dino Conti 2017-01-24 16:03:42 UTC
Description of problem:
opened the archive from GUI
dragged a PDF from archive to folder

Version-Release number of selected component:
xarchiver-0.5.4-3.fc24

Additional info:
reporter:       libreport-2.8.0
backtrace_rating: 4
cmdline:        xarchiver '/home/dino/Desktop/OneDrive - Hili Ventures Limited/PTL 2015/clients/APCO/20170124/Qualys Files.zip'
crash_function: strlen
executable:     /usr/bin/xarchiver
global_pid:     2112
kernel:         4.9.3-200.fc25.x86_64
pkg_fingerprint: 4089 D8F2 FDB1 9C98
pkg_vendor:     Fedora Project
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 strlen at ../sysdeps/x86_64/strlen.S:106
 #1 xa_remove_level_from_path at string_utils.c:151
 #2 drag_data_get at window.c:1718
 #6 g_signal_emit_by_name at gsignal.c:3487
 #7 gtk_drag_selection_get at gtkdnd.c:3836
 #11 g_signal_emit_by_name at gsignal.c:3487
 #12 gtk_selection_invoke_handler at gtkselection.c:2986
 #13 _gtk_selection_request at gtkselection.c:2391
 #14 _gtk_marshal_BOOLEAN__BOXED at gtkmarshalers.c:86
 #19 gtk_widget_event_internal at gtkwidget.c:5017

Potential duplicate: bug 1356593

Comment 1 Dino Conti 2017-01-24 16:03:48 UTC
Created attachment 1243960 [details]
File: backtrace

Comment 2 Dino Conti 2017-01-24 16:03:50 UTC
Created attachment 1243961 [details]
File: cgroup

Comment 3 Dino Conti 2017-01-24 16:03:51 UTC
Created attachment 1243962 [details]
File: core_backtrace

Comment 4 Dino Conti 2017-01-24 16:03:53 UTC
Created attachment 1243963 [details]
File: dso_list

Comment 5 Dino Conti 2017-01-24 16:03:55 UTC
Created attachment 1243964 [details]
File: environ

Comment 6 Dino Conti 2017-01-24 16:03:56 UTC
Created attachment 1243965 [details]
File: exploitable

Comment 7 Dino Conti 2017-01-24 16:03:57 UTC
Created attachment 1243966 [details]
File: limits

Comment 8 Dino Conti 2017-01-24 16:04:00 UTC
Created attachment 1243967 [details]
File: maps

Comment 9 Dino Conti 2017-01-24 16:04:02 UTC
Created attachment 1243968 [details]
File: mountinfo

Comment 10 Dino Conti 2017-01-24 16:04:04 UTC
Created attachment 1243969 [details]
File: namespaces

Comment 11 Dino Conti 2017-01-24 16:04:05 UTC
Created attachment 1243970 [details]
File: open_fds

Comment 12 Dino Conti 2017-01-24 16:04:07 UTC
Created attachment 1243971 [details]
File: proc_pid_status

Comment 13 Dino Conti 2017-01-24 16:04:08 UTC
Created attachment 1243972 [details]
File: var_log_messages

Comment 14 Fedora Admin XMLRPC Client 2017-01-29 10:56:43 UTC
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.

Comment 15 mrf3 2017-02-15 12:46:01 UTC
*** Bug 1422506 has been marked as a duplicate of this bug. ***

Comment 16 Fedora End Of Life 2017-11-16 15:37:40 UTC
This message is a reminder that Fedora 25 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 25. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '25'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 25 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 17 Fedora End Of Life 2017-12-12 10:46:42 UTC
Fedora 25 changed to end-of-life (EOL) status on 2017-12-12. Fedora 25 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.